package com.winhc.task.bean;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Company {
    @ExcelProperty("企业名称")
    private String name;
    @ExcelProperty("法定代表人")
    private String legal_entity_name;
    @ExcelProperty("注册资本")
    private String reg_capital;
    @ExcelProperty("成立日期")
    private String estiblish_time;
    @ExcelProperty("注吊销日期")
    private String revocation_time;
    @ExcelProperty("登记状态")
    private String reg_status_std;
    @ExcelProperty("工商注册号")
    private String reg_number;
    @ExcelProperty("机构组织代码")
    private String org_number;
    @ExcelProperty("统一社会信用代码")
    private String credit_code;
    @ExcelProperty("纳税人识别号")
    private String taxpayer_code;
    @ExcelProperty("企业类型")
    private String company_org_type;
    @ExcelProperty("所属行业")
    private String cate_first_code;
    @ExcelProperty("营业期限")
    private String to_time;
    @ExcelProperty("核准日期")
    private String approved_time;
    @ExcelProperty("登记机关")
    private String reg_institute;
    @ExcelProperty("省份代码")
    private String province;
    @ExcelProperty("所属地区")
    private String area;
    @ExcelProperty("详细地址")
    private String reg_location;
    @ExcelProperty("注册地址城市")
    private String city_name;
    @ExcelProperty("经营范围")
    private String business_scope;
    @ExcelProperty("电话")
    private String phone;
    @ExcelProperty("更多电话")
    private String more_phones;
    @ExcelProperty("邮箱")
    private String emails;
}