package com.winhc.task;

import com.winhc.task.util.FreeMarkUtil;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.IOException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@SpringBootTest
public class FreMarkTest {
    @Autowired
    FreeMarkUtil freeMarkUtil;

    @Test
    public void start() throws IOException {
        Map<String, String> m = new HashMap<>();
        m.put("targetTableName", "test_tmp_xf_sum_v9");
        m.put("tn", "zxr_evaluate_results");
        m.put("keyno", "keyno");
        m.put("groupField", "deleted");
        m.put("condition", "in ('0','1')");
        String s = freeMarkUtil.genStr("agg_sample.ftl", m);
        System.out.println(s);
    }

    @Test
    public void start2() throws IOException {
        List<String> list = Arrays.asList("bankruptcy_judgment_document", "bankruptcy_open_announcement", "bankruptcy_open_case"
                , "company_court_open_announcement", /*"company_court_announcement",*/ "company_send_announcement"
                , "company_court_register", "litigation_mediation", "restrictions_on_exit", "auction_tracking"/*,"property_rights_transaction"*/);
        list.forEach(tn->{
            Map<String, String> m = new HashMap<>();
            m.put("tn", tn);
            String s = freeMarkUtil.genStr("truncate_table.ftl", m);
            System.out.println(s);
        });
    }

    @Test
    public void start3() throws IOException {
        List<String> list = Arrays.asList("bankruptcy_judgment_document", "bankruptcy_open_announcement", "bankruptcy_open_case"
                , "company_court_open_announcement", /*"company_court_announcement",*/ "company_send_announcement"
                , "company_court_register", "litigation_mediation", "restrictions_on_exit", "auction_tracking"/*,"property_rights_transaction"*/);
        list.forEach(tn->{
            Map<String, String> m = new HashMap<>();
            m.put("tn", tn);
            String s = freeMarkUtil.genStr("test1.ftl", m);
            System.out.println(s);
        });
    }
}