package com.winhc.task.bean;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CompanyChangeOut {
    //@ExcelIgnore
    @ExcelProperty("原始名称")
    private String old_name;
    @ExcelProperty("公司标识")
    private String company_id;
    @ExcelProperty("公司名称")
    private String company_name;
    @ExcelProperty("变更项目对应的大类")
    private String category;
    @ExcelProperty("变更事项")
    private String change_item;
    @ExcelProperty("变更前内容")
    private String content_before;
    @ExcelProperty("变更后内容")
    private String content_after;
    @ExcelProperty("变更日期")
    private String change_time;
    @ExcelProperty("创建时间")
    private String create_time;
    @ExcelProperty("更新时间")
    private String update_time;
    @ExcelProperty("是否删除")
    private String deleted;
}