package com.winhc.task.bean;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * company
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CompanyJudicialAssistanceOut {
    //@ExcelIgnore
    @ExcelProperty("原始名称")
    private String old_name;
    @ExcelProperty("冻结股权标的企业")
    private String company_name;
    @ExcelProperty("冻结股权标的企业id")
    private String company_id;
    @ExcelProperty("公司标识，变更信息，受让人")
    private String cg_assignee_id;
    @ExcelProperty("公司标识，变更信息，被执行人")
    private String cg_executed_person_id;
    @ExcelProperty("公司标识，续行信息，被执行人")
    private String gn_executed_person_id;
    @ExcelProperty("公司标识，解除冻结信息，被执行人")
    private String lf_executed_person_id;
    @ExcelProperty("公司标识，冻结信息，被执行人")
    private String fz_executed_person_id;
    @ExcelProperty("被执行人id")
    private String executed_person_id;
    @ExcelProperty("被执行人")
    private String executed_person;
    @ExcelProperty("股权数额")
    private String equity_amount;
    @ExcelProperty("执行通知书文号")
    private String execute_notice_num;
    @ExcelProperty("执行法院")
    private String executive_court;
    @ExcelProperty("类型|状态")
    private String type_state;
    @ExcelProperty("冻结信息，执行法院")
    private String fz_executive_court;
    @ExcelProperty("冻结信息，执行事项")
    private String fz_implementation_matters;
    @ExcelProperty("冻结信息，执行裁定书文号")
    private String fz_execute_order_num;
    @ExcelProperty("冻结信息，执行通知书文号")
    private String fz_execute_notice_num;
    @ExcelProperty("冻结信息，被执行人")
    private String fz_executed_person;
    @ExcelProperty("冻结信息，被执行人持有股权、其它投资权益的数额")
    private String fz_equity_amount_other;
    @ExcelProperty("冻结信息，被执行人证照种类")
    private String fz_license_type;
    @ExcelProperty("冻结信息，被执行人证照号码")
    private String fz_license_num;
    @ExcelProperty("冻结信息，冻结期限自")
    private String fz_from_date;
    @ExcelProperty("冻结信息，冻结期限至")
    private String fz_to_date;
    @ExcelProperty("冻结信息，冻结期限")
    private String fz_period;
    @ExcelProperty("冻结信息，冻结公示日期")
    private String fz_publicity_date;
    @ExcelProperty("解除冻结信息，执行法院")
    private String lf_executive_court;
    @ExcelProperty("解除冻结信息，执行事项")
    private String lf_implementation_matters;
    @ExcelProperty("解除冻结信息，执行裁定书文号")
    private String lf_execute_order_num;
    @ExcelProperty("解除冻结信息，执行通知书文号")
    private String lf_execute_notice_num;
    @ExcelProperty("解除冻结信息，被执行人")
    private String lf_executed_person;
    @ExcelProperty("解除冻结信息，被执行人持有股权、其它投资权益的数额")
    private String lf_equity_amount_other;
    @ExcelProperty("解除冻结信息，被执行人证照种类")
    private String lf_license_type;
    @ExcelProperty("解除冻结信息，被执行人证照号码")
    private String lf_license_num;
    @ExcelProperty("解除冻结信息，解除冻结日期")
    private String lf_frozen_remove_date;
    @ExcelProperty("解除冻结信息，公示日期")
    private String lf_publicity_date;
    @ExcelProperty("冻结失效信息，失效原因")
    private String lp_invalidation_reason;
    @ExcelProperty("冻结失效信息，失效日期")
    private String lp_invalidation_date;
    @ExcelProperty("续行信息，执行法院")
    private String gn_executive_court;
    @ExcelProperty("续行信息，执行事项")
    private String gn_implementation_matters;
    @ExcelProperty("续行信息，执行裁定书文号")
    private String gn_execute_order_num;
    @ExcelProperty("续行信息，执行通知书文号")
    private String gn_execute_notice_num;
    @ExcelProperty("续行信息，被执行人")
    private String gn_executed_person;
    @ExcelProperty("续行信息，被执行人持有股权、其它投资权益的数额")
    private String gn_equity_amount_other;
    @ExcelProperty("续行信息，被执行人证照种类")
    private String gn_license_type;
    @ExcelProperty("续行信息，被执行人证照号码")
    private String gn_license_num;
    @ExcelProperty("续行信息，冻结期限自")
    private String gn_from_date;
    @ExcelProperty("续行信息，冻结期限至")
    private String gn_to_date;
    @ExcelProperty("续行信息，冻结期限")
    private String gn_period;
    @ExcelProperty("续行信息，冻结公示日期")
    private String gn_publicity_date;
    @ExcelProperty("变更信息，执行法院")
    private String cg_executive_court;
    @ExcelProperty("变更信息，执行事项")
    private String cg_implementation_matters;
    @ExcelProperty("变更信息执行裁定书文号")
    private String cg_execute_order_num;
    @ExcelProperty("变更信息，执行通知书文号")
    private String cg_execute_notice_num;
    @ExcelProperty("变更信息，被执行人")
    private String cg_executed_person;
    @ExcelProperty("变更信息，被执行人持有股权数额")
    private String cg_equity_amount_other;
    @ExcelProperty("变更信息，被执行人证照种类")
    private String cg_license_type;
    @ExcelProperty("变更信息，被执行人证照号码")
    private String cg_license_num;
    @ExcelProperty("变更信息，受让人")
    private String cg_assignee;
    @ExcelProperty("变更信息，协助执行日期")
    private String cg_execution_date;
    @ExcelProperty("变更信息，受让人证照种类")
    private String cg_assignee_license_type;
    @ExcelProperty("变更信息，受让人证照号码")
    private String cg_assignee_license_num;
    @ExcelProperty("创建时间")
    private String create_time;
    @ExcelProperty("更新时间")
    private String update_time;
    @ExcelProperty("是否删除")
    private String deleted;
}