package com.winhc.task.configuration;

import com.alibaba.hologres.client.HoloClient;
import com.alibaba.hologres.client.HoloConfig;
import com.alibaba.hologres.client.exception.HoloClientException;
import com.alibaba.hologres.client.model.WriteMode;
import com.aliyun.odps.Odps;
import com.aliyun.odps.account.Account;
import com.aliyun.odps.account.AliyunAccount;
import com.winhc.task.util.BaseUtils;
import lombok.AllArgsConstructor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: π
 */
@Configuration
@AllArgsConstructor
public class HoloConfiguration {
    private static final String url;

    static {
        if (BaseUtils.isWindows()) {
            url = "jdbc:postgresql://hgprecn-cn-zvp2dvgsr005-cn-shanghai.hologres.aliyuncs.com:80/winhc_ng_rt";
        } else {
            url = "jdbc:postgresql://hgprecn-cn-zvp2dvgsr005-cn-shanghai-vpc.hologres.aliyuncs.com:80/winhc_ng_rt";
        }
    }

    private static final String username = "LTAI4G4n7pAW8tUbJVkkZQPD";
    private static final String password = "uNJOBskzcDqHq1TYG3m2rebR4c1009";

    @Bean
    public HoloClient init() throws HoloClientException {
        HoloConfig config = new HoloConfig();
        config.setJdbcUrl(url);
        config.setUsername(username);
        config.setPassword(password);
        config.setWriteMode(WriteMode.INSERT_OR_REPLACE);//配置主键冲突时策略
        return new HoloClient(config);
    }

}
