package com.winhc.task.util;


import com.alibaba.fastjson.JSONObject;
import org.elasticsearch.index.query.QueryBuilders;
import org.elasticsearch.index.query.WrapperQueryBuilder;

/**
 * @author XuJiakai
 * @ClassName: QueryBuilderUtils
 * @Description:
 * @date 2019/3/25 13:03
 */
public class QueryBuilderUtils {
    public static final String q = "query";

    public static WrapperQueryBuilder getQuery(JSONObject jsonObject) {
        String dsl_json;
        if (jsonObject.containsKey(q)) {
            dsl_json = JsonUtils.jsonObjToString(jsonObject.getJSONObject(q));
        } else {
            dsl_json = JsonUtils.jsonObjToString(jsonObject);
        }
        return QueryBuilders.wrapperQuery(dsl_json);
    }
}
